# `TaurusModel`

digraph inheritance20aeadf4fe { bgcolor=transparent; rankdir=UD; ratio=compress; size="8.0, 12.0"; "Logger" [URL="taurus-Logger.html#taurus.Logger",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top",tooltip="The taurus logger class. All taurus pertinent classes should inherit"]; "TaurusModel" [URL="#taurus.core.taurusmodel.TaurusModel",color=dodgerblue1,fillcolor=white,fontcolor=black,fontname="Vera Sans, DejaVu Sans, Liberation Sans, Arial, Helvetica, sans",fontsize=10,height=0.5,shape=box,style=rounded,target="_top"]; "Logger" -> "TaurusModel" [arrowsize=0.5,style="setlinewidth(0.5)"]; }

class TaurusModel(full_name='', parent=None, serializationMode=None)

  Import from `taurus.core.taurusmodel` as:

      from taurus.core.taurusmodel import TaurusModel

  RegularEvent = (0, 1, 2)
  addListener(listener)
  classmethod buildModelName(parent_model, relative_name)
  cleanUp()

    The cleanUp. Default implementation does nothing Overwrite when necessary

  deleteListener(listener)
  classmethod factory()
  fireEvent(event_type, event_value, listeners=None)

    sends an event to all listeners or a specific one

  forceListening()
  property fullname
  getChildObj(child_name)
  getDisplayDescrObj(cache=True)

    A brief description of the model. Can be used as tooltip, for example.

  getDisplayName(cache=True, complete=True)
  getFragmentObj(fragmentName=None)

    Returns a fragment object of the model. A fragment is computed from a model by evaluating the expression <model>.<fragmentName>

    For a simple fragmentName (no dots), this is roughly equivalent to getattr(self, fragmentName)

    If the fragment cannot be computed, `AttributeError` is raised

    Parameters:

      fragmentName (str or None) – the returned value will correspond to the given fragmentName. If None is passed the defaultFragmentName will be used instead.

    Returns:

      the computed fragment of the modelObj.

    Return type:

      obj

  getFullName()
  classmethod getNameValidator()
  getNormalName()
  getParentObj()
  getSerializationMode()

    Gives the serialization operation mode.

    Returns:

      the current serialization mode

    Return type:

      TaurusSerializationMode

  getSimpleName()
  classmethod getTaurusElementType()
  hasListeners()

    returns True if anybody is listening to events from this attribute

  classmethod isValid(*args, **kwargs)
  isWritable()
  property name
  property parentObj
  removeListener(listener)
  setSerializationMode(mode)

    Sets the serialization mode for the system.

    Parameters:

      mode (TaurusSerializationMode) – the new serialization mode

  unforceListening()